package cn.fateverse.query.entity;

import cn.fateverse.query.entity.vo.UniConVo;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Clay
 * @date 2023-07-22
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UniCon {

    private Long ucId;
    /**
     * 查询id
     */
    @JsonIgnore
    private Long uqId;
    /**
     * 条件名称
     */
    private String ucName;
    /**
     * 查询关键词
     */
    private String ucKey;
    /**
     * 查询条件
     */
    private String ucCon;
    /**
     * 模拟数据
     */
    private Object ucMock;
    /**
     * 查询描述
     */
    private String ucDescribe;
    /**
     * 输入类型
     */
    private String ucType;
    /**
     * 显示类型.字典 or 正常数据
     */
    private String type;
    /**
     * 排序
     */
    private Integer sort;


    public UniConVo toUcConVo() {
        return UniConVo.builder()
                .ucId(ucId)
                .ucName(ucName)
                .ucDescribe(ucDescribe)
                .ucType(ucType)
                .type(type)
                .sort(sort)
                .build();
    }

}
